from installer import install
from server import weather_run
from fix import conky_fix
import argparse

flags = argparse.ArgumentParser()
flags.add_argument("--install", "-i", action="store_true")
flags.add_argument("--fix", "-f", action="store_true")
args = flags.parse_args()

if args.install:
    install()
elif args.fix:
    conky_fix()
else:
    weather_run()